{
    "model": {
      "type": "select",
      "property": "component",
      "component": "custom_name",
      "fallback": {
        "type": "model",
        "model": "minecraft:item/mace"
      },
      "cases": [
        {
          "when": "Flail",
          "model": {
            "type": "model",
            "model": "mcd:item/maces/flail"
          }
        },
        {
          "when": "Great Hammer",
          "model": {
            "type": "model",
            "model": "mcd:item/maces/great_hammer"
          }
        },
        {
          "when": "Hammer of Gravity",
          "model": {
            "type": "model",
            "model": "mcd:item/maces/hammer_of_gravity"
          }
        },
        {
          "when": "Stormlander",
          "model": {
            "type": "model",
            "model": "mcd:item/maces/stormlander"
          }
        },
        {
          "when": "Sun's Grace",
          "model": {
            "type": "model",
            "model": "mcd:item/maces/suns_grace"
          }
        }
      ]
    }
  }